program extract_SM_results_for_web
! compile with the command:
! gfortran extract_SM_results_for_web.f90 -o extract_SM_results_for_web -L. -lHB

 implicit none
 ! SM functions from the HiggsBounds library
 double precision :: SMBR_HWW
 double precision :: SMBR_HZZ
 double precision :: SMBR_Hbb
 double precision :: SMBR_Htautau
 double precision :: SMBR_Hgamgam
 double precision :: SMBR_Hgg
 double precision :: SMGamma_h

 ! internal
 double precision :: Mhi
 integer :: number_args 
 character(LEN=100) :: temp
 character(LEN=9) :: f_out
 double precision :: SMtemp

 number_args = IARGC() 
   
 if(number_args.ne.1)then
  stop 'program extract_SM_results_for_web has wrong number of arguments'
 endif

 temp=""
 call GETARG(1,temp)
 read(temp,*) Mhi

 ! call subroutine initialize_HiggsBounds with dummy arguments
 call initialize_HiggsBounds(1,'LandT')

 write(*,*)'At SM Higgs mass = ',Mhi
 
 f_out='(a,G16.6)'

 SMtemp=              SMBR_HWW(Mhi)     ; call flush(6)
 write(*,fmt=f_out)'  SMBR_HWW      = ' , SMtemp
 SMtemp=              SMBR_HZZ(Mhi)     ; call flush(6)
 write(*,fmt=f_out)'  SMBR_HZZ      = ' , SMtemp
 SMtemp=              SMBR_Hbb(Mhi)     ; call flush(6)
 write(*,fmt=f_out)'  SMBR_Hbb      = ' , SMtemp
 SMtemp=              SMBR_Htautau(Mhi) ; call flush(6)
 write(*,fmt=f_out)'  SMBR_Htautau  = ' , SMtemp
 SMtemp=              SMBR_Hgamgam(Mhi) ; call flush(6)
 write(*,fmt=f_out)'  SMBR_Hgamgam  = ' , SMtemp
 SMtemp=              SMBR_Hgg(Mhi)     ; call flush(6)
 write(*,fmt=f_out)'  SMBR_Hgg      = ' , SMtemp
 SMtemp=              SMGamma_h(Mhi)    ; call flush(6)
 write(*,fmt=f_out)'  SMGamma_h     = ' , SMtemp

 call finish_HiggsBounds

end program extract_SM_results_for_web
